export declare function useSet<T>(arr?: T[]): {
    add: (value: T) => void;
    has: (value: T) => boolean;
    delete: (value: T) => void;
    clear: () => void;
    forEach: (callback: (value: T, key: T, set: Set<T>) => void) => void;
    entries: () => IterableIterator<[unknown, unknown]>;
    values: () => IterableIterator<unknown>;
    keys: () => IterableIterator<unknown>;
    size: number;
};
